#basics
a <- 5
b <- 7
A*b
a * b

#creating vectors
vec1 <- c(1, 2, 3)
vec2 <- c("one", "two", "three")
typeof(vec1)
typeof(vec2)

vec3 <- c(1, "two", 3, "four")
typeof(vec3)

vec2[2]
vec2[-2]

#new vectors
vec1 <- c(1, 2, 3, 4)
vec2 <- c(5, 6, 7, 8)

#matrices
m1 <- matrix(1:8, nrow=2)
m1
m2 <- matrix(1:8, nrow=2, byrow=TRUE)
m2
m3 <- rbind(vec1, vec2)
m3
m4 <- cbind(c(1,5), c(2,6), c(3,7), c(4,8))
m4
m5 <- cbind(vec1, vec2)
m5

#first row only
m4[1,]

#second column only
m4[,2]

#first and second column only
m4[,1:2]

#first and third column only
m4[,c(1,3)]

#see the list of built-in datasets
data()
View(AirPassengers)

#compute summary measures
View(InsectSprays)
mean(InsectSprays$count)
median(InsectSprays$count)
sd(InsectSprays$count)

#by type of spray
mean(InsectSprays$count[InsectSprays$spray=="A"])
mean(InsectSprays$count[InsectSprays$spray=="B"])
mean(InsectSprays$count[InsectSprays$spray=="C"])
mean(InsectSprays$count[InsectSprays$spray=="D"])
mean(InsectSprays$count[InsectSprays$spray=="E"])
mean(InsectSprays$count[InsectSprays$spray=="F"])
summary(InsectSprays$count)

#exercise
View(precip)
precip
mean(precip)
median(precip)
cv <- sd(precip)/mean(precip)*100
cv

#histogram
library(MASS)
hist(InsectSprays$count, xlab="Number of Insects", main="Frequency Histogram of the Number of Insects")
hist(InsectSprays$count[InsectSprays$spray=="A"], xlab="Number of Insects", main="Frequency Histogram of the Number of Insects (Using Type A Spray)")

#exercise
View(ToothGrowth)
hist(ToothGrowth$len)
hist(ToothGrowth$len[ToothGrowth$supp=="OJ"])
hist(ToothGrowth$len[ToothGrowth$supp=="VC"])

#boxplot
boxplot(InsectSprays$count, ylab="Number of Insects", main="Boxplot of the Number of Insects")

boxplot(InsectSprays$count ~ InsectSprays$spray, ylab="Number of Insects", main="Boxplots of the Number of Insects per Type of Spray")

plot(InsectSprays$spray, InsectSprays$count, ylab="Number of Insects", main="Boxplots of the Number of Insects per Type of Spray (using plot function)")

#exercise
boxplot(ToothGrowth$len ~ ToothGrowth$supp, ylab="Tooth Length", main="Boxplots of Tooth Length per Type of Supplement")

boxplot(warpbreaks$breaks ~ warpbreaks$wool, ylab="Number of Breaks", main="Boxplots of the Number of Breaks per Type of Wool")

boxplot(warpbreaks$breaks ~ warpbreaks$tension, ylab="Number of Breaks", main="Boxplots of the Number of Breaks per Level of Tension")

#scatterplot
plot(faithful$waiting, faithful$eruptions, xlab="Waiting time to next eruption (in mins)", ylab="Eruption time in mins")

#anscombe
plot(anscombe$x1, anscombe$y1)
plot(anscombe$x2, anscombe$y2)
plot(anscombe$x3, anscombe$y3)
plot(anscombe$x4, anscombe$y4)
summary(anscombe)

#exercise
plot(Orange$age, Orange$circumference, xlab = "Age of the Tree (in days)", ylab = "Trunk Circumference (in mm)")

#Toothgrowth: compare OJ and VC
qqplot(ToothGrowth$len[ToothGrowth$supp=="OJ"], ToothGrowth$len[ToothGrowth$supp=="VC"], xlab="OJ", ylab = "VC")

qqnorm(trees$Height)

#exercise
qqplot(Loblolly$height, Loblolly$age, xlab="Height (in ft.)", ylab = "Age (in years)")
qqnorm(Loblolly$height)
qqnorm(Loblolly$age)

#final exercise
boxplot(sleep$extra ~ sleep$group, ylab = "Hours of Sleep", main = "Effect of Drugs")
summary(sleep)
mean(sleep$extra[sleep$group==1])
mean(sleep$extra[sleep$group==2])
median(sleep$extra[sleep$group==1])
median(sleep$extra[sleep$group==2])